Bug 47778 - EDITING: Filling down or across through merged cells undoes the merge
Summary: EDITING: Filling down or across through merged cells undoes the merge
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 49638 (view as bug list)
Depends on:
Blocks: Calc-Merge-Split AutoFill
  Show dependency treegraph
 
Reported: 2012-03-23 10:55 UTC by Mark C
Modified: 2018-12-24 17:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark C 2012-03-23 10:55:00 UTC
Problem description: If I create a merge of two or more cells horizontally or vertically and then fill down or across from or through these cells, the merge is removed and the fill happens to individual cells. If the merged areas are the same size, filling should work, not erase the 'merge' formatting.

Steps to reproduce:
1. Create one or more merged regions
2. Enter some data above or in the merged region
3. Drag the corner of the data cell to drag down or across

Current behavior: The merge formatting disappears when the data is filled into the merged cells

Expected behavior: If the merged region(s) are a compatible size, the data should be entered and the merge left alone. If this is impossible or overly ambiguous, an error message should be generated.

Platform (if different from the browser): 
              
Browser: Opera/9.80 (Windows NT 5.1; U; en) Presto/2.10.229 Version/11.61
Comment 1 Rainer Bielefeld Retired 2012-05-11 08:06:25 UTC
[Reproducible] with attached Sample and "LibreOffice 3.5.3.2 (RC2) German UI/Locale [Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80] on German WIN7 Home Premium (64bit) 
In sample in yellow Area the contents of A1:B3 is shown.

Steps to reproduce:
1. Select B1:B2
2. Click "Merge Cells" Icon and merge without shifting contents of hidden
   cell
   > Double width cell visible with contents "11", no changes in yellow
     "show contents" area
3. Click B1
4. Fill down using fill handle until B3
   Expected: B1,B2,B3 containing 1,2,3, merge remains
   Actual: As Expected, see H1:H3
5. Click A1
6. Fill down using fill handle until A3
   Expected: A1,A2,A3 containing 1,2,3, merge remains
   Actual: Cell Contents as expected, but merge destroyed

I never saw that working in a different way, already the same in OOo 1.1.4 (so "inherited"), but to me the current behavior seems inconsistent.

I disagree with proposed solution in AOOo Bugzilla, in example but I simply want to see the same behavior in columns A and B and that merged cells keep merged.

But may be there are ODF dependencies or similar?
Comment 2 sasha.libreoffice 2012-06-18 04:16:06 UTC
What is interesting: msExcel 2007 in such situation issues warning: "For this needed that all cells should have equal size" and does nothing.
Comment 3 A (Andy) 2014-10-11 22:26:46 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)

Steps Done:
1. Open a new spreadsheet in CALC
2. Type in cell A1 "1"
3. Select cell A2 and A3 and merge them (e. g. via right mouse click -> MERGE CELLS)
4. Go to cell A1
5. Click on the small square in right bottom corner of this cell and move the mouse down over the merged cell A2 and A3

Result: 
Numbers are filled into the cells, but cell A2 and A3 are no longer merged.
Comment 4 QA Administrators 2015-10-14 19:57:01 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-12-04 16:25:24 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 81fa5340191baf8687f9c82f1f414f5afc86b529
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-03_21:19:19
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2017-01-03 19:41:20 UTC Comment hidden (obsolete)
Comment 7 Timur 2018-11-08 16:59:07 UTC
Repro 6.2+
Comment 8 Timur 2018-12-24 17:35:25 UTC
*** Bug 49638 has been marked as a duplicate of this bug. ***